<template>
  <div>
    <h1 class="mb-3">What results are you looking for?</h1>
    <p class="mb-5">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice.text"
        :input-value="choice.text"
        :value="checkboxSelected"
        @input="handleCheckboxInput"
      >
        <div class="flex items-center justify-between">
          <span>{{ choice.text }}</span>
          <img width="60px" :src="choice.img" alt="image">
        </div>
      </checkbox-input>
    </div>
    <common-btn
      :disabled="!checkboxSelected.length"
      text="Next"
      @click="nextStage"
    />
  </div>
</template>

<script>
import {answersMixin, checkboxMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, checkboxMixin],
  name: "SkinAnalysis4",
  data() {
    return {
      choices: [
        {
          text: 'Fight breakouts',
          img: require('@/assets/img/misc/fight-breakouts.png'),
        },
        {
          text: 'Treat clogged pores',
          img: require('@/assets/img/misc/treat-clogged-pores.png'),
        },
        {
          text: 'Fade dark spots',
          img: require('@/assets/img/misc/fade-dark-spots.png'),
        },
        {
          text: 'Boost firmness',
          img: require('@/assets/img/misc/boost-firmness.png'),
        },
        {
          text: 'Improve skin texture',
          img: require('@/assets/img/misc/improve-skin-texture.png'),
        },
        {
          text: 'Fight wrinkles',
          img: require('@/assets/img/misc/fight-wrinkles.png'),
        },
      ],
      checkHandler: newVal => this.setAnswer(this.answersKeys.SKIN_ANALYSIS, newVal, 'stage_4')
    }
  }
}
</script>

<style scoped>

</style>
